> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all activated content types of a space

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/public/content_types

Retrieves the activated versions of content types, ignoring any changes made since the last activation.

Reference: https://contentful.com/developers/docs/references/content-management-api/content-types/get-all-activated-content-types-of-a-space

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Get all the content types.
client
    .contentTypes()
    .async()
    .fetchAll(
        new CMACallback<CMAArray<CMAContentType>>() {
          @Override protected void onSuccess(CMAArray<CMAContentType> types) {
            // Filter them locally.
            final List<CMAContentType> published = new LinkedList<>();
            for (final CMAContentType type : types.getItems()) {
              if (type.isPublished()) {
                published.add(type);
              }
            }

            // Your published content types will be found in `published`.
            new AlertDialog.Builder(context)
                .setTitle("Contentful")
                .setMessage("List of all published content types was successful." +
                    "\n\nResult: " + published)
                .show();
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not list all published content types." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Get all the content types.
final CMAArray<CMAContentType> array = client
    .contentTypes()
    .fetchAll();

// Filter them locally.
final List<CMAContentType> activated = new ArrayList<>();
for (final CMAContentType contentType : array.getItems()) {
  if (contentType.isPublished()) {
    activated.add(contentType);
  }
}

// Do something with activated.
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

// Get all the content types.
val array = client
        .contentTypes()
        .fetchAll()

// Filter them locally.
val activated = ArrayList<CMAContentType>()
for (contentType in array.items) {
    if (contentType.isPublished!!) {
        activated.add(contentType)
    }
}

// Do something with activated.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
// SDK currently doesn't implement this endpoint.
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$contentTypes = $environment->getPublishedContentTypes();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

content_types = client.content_types('<space_id>', '<environment_id>').all_published
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

published_content_types = client.content_types('<space_id>', '<environment_id>').all_published()
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var activeContentTypes = await client.GetActivatedContentTypes();
```

```javascript JavaScript
No snippet for this SDK.
```